<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Jonathan Daniel <jdaniel@interworx.com>
 * @date    Jan 22, 2009
 */

/**
 * CLI_IWorxDb_DumpTest.
 *
 * @package    InterWorx
 * @subpackage CLI
 *
 */
class CLI_IWorxDb_DumpTest extends CLITestCase {

  /**
   * Gets the name of the command line script we're testing.
   *
   * @return string
   */
  protected function _getScriptToTest() {
    return Ini::get( Ini::IWORX_BIN, 'iworxdb-dump' );
  }

  /**
   * Gets the command line parameters for testing.  Is a dataprovider.
   *
   * @return array
   */
  public function getCommandlineTestInfo() {
    return [];
  }

  /**
   * Simple test to make sure the iworxdb-dump.pex function doesn't error out.
   */
  public function testCommandlineScript() {
    $retval = null;

    $cmd = $this->_getScriptToTest();
    IWorxExec::passthru( $cmd, $retval, IWorxExec::REDIR_DEV_NULL );

    $this->assertEquals( CLI::OK, $retval );
  }

}
