<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Paul Oehler <poehler@interworx.com>
 * @date       Feb 24, 2008
 */

/**
 * Test Suite for Ctrl_Nodeworx_MailVirus.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Ctrl_Nodeworx_MailVirusTest extends IWorx_Framework_TestCase {

  const CTRL = 'Ctrl_Nodeworx_MailVirus';

  /**
   * Test assigned vars of index action.
   */
  public function testIndexActionAssignedVars() {
    $NW     = self::getMasterNodeWorx();
    $Reply  = IW::FC()->routeFromPHP( self::CTRL, 'index', array(), $NW );
    $result = $Reply->getData();
    $this->assertArrayHasKey( 'iw_virus', $result );
    $this->assertArrayHasKey( 'iw_form', $result );

    $forms = $result['iw_form'];

    $this->assertArrayHasKey( 'clam_sob', $forms );
    $class_name = 'Form_NW_MailVirus_ClamavStartOnBoot';
    $this->assertTrue( $forms['clam_sob'] instanceof $class_name );

    $this->assertArrayHasKey( 'fresh_sob', $forms );
    $class_name = 'Form_NW_MailVirus_FreshStartOnBoot';
    $this->assertTrue( $forms['fresh_sob'] instanceof $class_name );

    $this->assertArrayHasKey( 'clam_autorestart', $forms );
    $class_name = 'Form_NW_MailVirus_ClamavAutoRestart';
    $this->assertTrue( $forms['clam_autorestart'] instanceof $class_name );

    $this->assertArrayHasKey( 'options', $forms );
    $class_name = 'Form_NW_MailVirus_Options';
    $this->assertTrue( $forms['options'] instanceof $class_name );
  }

  /**
   * Test.
   */
  public function testOptionsAction() {
    $NW     = self::getMasterNodeWorx();
    $Reply = IW::FC()->routeFromPHP( self::CTRL, 'options', array(), $NW );
    $this->assertReplySuccessful( $Reply );
  }
}
