<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2015 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Upgrade
 * @author     Tim College <tcollege@interworx.com>
 * @date       May 12, 2015
 */

require_once '/usr/local/interworx/TESTS/integration/Dns/Zone/TestAbstract.php';

/**
 * Class Dns_Zone_IPv6withIPv4OnlyTest
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Dns_Zone_IPv6WithIPv4OnlyTest extends Dns_Zone_TestAbstract {
  /**
   * Tests adding an account with just an IPv4.
   */
  public function testIPv6withIPv4Only() {
    $this->deleteSWAccountIfNecessary();

    $input = $this->_getSWAccountInput();
    unset( $input[ 'master_domain_ipv6' ] );

    $this->assertTrue( $this->addSWAccountFromInput( $input ) );

    $vars = $this->_getTemplateVars( $input['master_domain'] );

    $this->assertEquals( Dns_Zone::TPL_IPV6, $vars->ipv6 );
  }
}
