<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Test
 * @author     Tim College <tcollege@interworx.com>
 * @date       Jul 16, 2010
 */

/**
 * Tests for the icon sprites and so forth.
 *
 * @package    InterWorx
 * @subpackage Test
 */
class ImageTest extends IWorx_Framework_TestCase {
  /**
   * Tests that the large icon sprites are the same sizes.
   *
   * Just in case someone forgot to make the gif versions
   */
  public function testLargeIconSizeMatch() {
    $png_sizes = getimagesize( '/home/interworx/html/img/icon_sprite-big.png' );
    $gif_sizes = getimagesize( '/home/interworx/html/img/icon_sprite-big.gif' );

    $this->assertEquals( $png_sizes[0], $gif_sizes[0], 'Width mismatch?' );
    $this->assertEquals( $png_sizes[1],
                         $gif_sizes[1],
                         'Height mismatch, prollyforgot to make the gif version' );
  }

  /**
   * Tests that the small icon sprites are the same sizes.
   *
   * Just in case someone forgot to make the gif versions
   */
  public function testSmallIconSizeMatch() {
    $png_sizes = getimagesize( '/home/interworx/html/img/icon_sprite-small.png' );
    $gif_sizes = getimagesize( '/home/interworx/html/img/icon_sprite-small.gif' );

    $this->assertEquals( $png_sizes[0], $gif_sizes[0], 'Width mismatch?' );
    $this->assertEquals( $png_sizes[1],
                         $gif_sizes[1],
                         'Height mismatch, prollyforgot to make the gif version' );
  }
}