<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2014 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Paul Oehler <poehler@interworx.com>
 * @date       Apr 09, 2014
 */

/**
 * Test class.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Bug3486ShellPasswordChangeExposesPasswordTest extends
IWorx_Framework_TestCase {
  /**
   * Trac: #3486.
   */
  public function testShellAccountChangePasswdExposesPasswordOrHash() {
    $this->deleteSWAccountIfNecessary();
    $this->addSWAccount();

    $haxor     = '/home/interworx/TESTS/_resources/ps_passwatch.sh';
    $haxor_log = '/home/interworx/TESTS/_resources/ps_passwatch.log';

    IWorxFileSys::rm( $haxor_log );
    $pid = shell_exec( sprintf( '%s > /dev/null 2>&1 & echo $!', $haxor ) );

    $password = 'sUp3rS3cu4e';
    $ok = ShellAccount::changePasswd( 'addedbyt', $password, $enc = false );
    $this->assertTrue( $ok );

    exec( "kill -9 {$pid}" );
    exec( "cat {$haxor_log} | grep '{$password}'", $result, $retval );
    $msg = 'Possible password hash grabbed from ps command!';
    $this->assertEquals( 1, $retval, $msg );

    IWorxFileSys::rm( $haxor_log );
    $pid = shell_exec( sprintf( '%s > /dev/null 2>&1 & echo $!', $haxor ) );

    $password = IWorxUtil::hashWithSalt( $password, IWorxUtil::SHA512 );
    $ok = ShellAccount::changePasswd( 'addedbyt', $password, $enc = true );
    $this->assertTrue( $ok );

    exec( "kill -9 {$pid}" );
    exec( "cat {$haxor_log} | grep '{$password}'", $result, $retval );
    $msg = 'Possible password hash grabbed from ps command!';
    $this->assertEquals( 1, $retval, $msg );
  }
}
