<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2014 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Paul Oehler <poehler@interworx.com>
 * @date       Apr 09, 2014
 */

/**
 * Test class.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Bug3499CrossResellerDnsRecordEditTest extends IWorx_Framework_TestCase {
  /**
   * Trac: #3499.
   *
   * @todo IWorx_Search_Dns(); needs to have IW::NW() passed where appropriate!
   * @todo check Ctrl_Nodeworx_DnsRecord::editInlineAction and editCommit
   *       deprecated functions as well.
   */
  public function testCrossResellerDnsRecordEditAttack() {
    $this->deleteResellerSwAccountIfNecessary();
    $this->deleteResellerAccountIfNecessary();

    $this->addResellerIfNecessary();

    $RSL = $this->getResellerNodeWorx();

    $ctrl = 'Ctrl_Nodeworx_DnsRecord';
    $action = 'editA';
    $input = array( 'record_id' => '2' );
    $Reply = IW::FC()->routeFromPHP( $ctrl, $action, $input, $RSL );

    $msg = 'Reseller edited DNS record across resellers. BAD!';
    $this->assertReplyNotSuccessful( $Reply, $msg );
    $this->assertContains( 'record_id: "2" This is not a valid option',
                           $Reply->getErrorsAsString() );
  }

}
