<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Jon Daniel <jdaniel@interworx.com>
 * @date       Jan 5, 2011
 */

require_once 'Abstract.php';

/**
 * Generates a bunch of resellers.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class DataGenerator_Bandwidth extends DataGenerator_Abstract {

  /**
   * Generate some fake bandwidth information.
   */
  public function testGenerateFakeSiteWorxBandwidth() {
    $sw_data = Model_Siteworx::find();

    foreach( $sw_data as $sw_row ) {
      $SiteWorx  = new SiteWorx( $sw_row->getPrimaryId() );
      $Bandwidth = $SiteWorx->getBandwidthManager();

      $bw_in  = rand( 1, 100 ) * ( 1024 * 1024 * 1024 );
      $bw_in += rand( 1, 1000 ) * ( 1024 * 1024 );

      $bw_out = rand( 1, 100 ) * ( 1024 * 1024 * 1024 );
      $bw_out += rand( 1, 1000 ) * ( 1024 * 1024 );

      $type   = ( rand( 0, 1 ) == 1 ) ? 'http' : 'ftp';

      $Bandwidth->addToBytes( $type, $bw_in, $bw_out );
    }//end foreach

    $this->assertTrue( true );
  }
}