<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Jon Daniel <jdaniel@interworx.com>
 * @date       Jan 5, 2011
 */

require_once 'Abstract.php';

/**
 * Generates a bunch of resellers.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class DataGenerator_NodeworxUsers extends DataGenerator_Abstract {

  private $_number_of_users = 40;

  const CTRL = 'Ctrl_Nodeworx_Users';

  /**
   * Add a bunch of NodeWorx Users.
   */
  public function testAddLotsOfNodeworxUsers() {
    $NW = self::getMasterNodeWorx();

    for( $i = 1; $i <= $this->_number_of_users; $i++ ) {
      $input = array( 'nickname'         => $this->_getRandomFullName(),
                      'email'            => $this->_getRandomEmailAddress(),
                      'password'         => self::SW_SECONDARY_PASS,
                      'confirm_password' => self::SW_SECONDARY_PASS,
                      'perms'            => array( 'LOGIN' ) );

      $Reply = IW::FC()->routeFromPHP( self::CTRL, 'add', $input, $NW );

      if( $Reply->wasSuccessful() === true ) {
        print "{$input['nickname']} <{$input['email']}>: " .
          "NodeWorx User Created Successfully\n";
      }
    }

    $this->assertTrue( true );
  }
}