<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Jon Daniel <jdaniel@interworx.com>
 * @date       Jan 5, 2011
 */

require_once 'Abstract.php';

/**
 * Generates a bunch of resellers.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class DataGenerator_Resellers extends DataGenerator_Abstract {

  private $_number_of_resellers = 25;

  /**
   * Add a bunch of resellers (for testing purposes)
   */
  public function testAddLotsOfResellers() {
    $NW = self::getMasterNodeWorx();

    for( $i = 1; $i <= $this->_number_of_resellers; $i++ ) {
      $input = $this->_getResellerInput();
      $Reply = IW::FC()->routeFromPHP( 'Ctrl_Nodeworx_Reseller',
                                       'add',
                                       $input,
                                       $NW );

      if( $Reply->wasSuccessful() === true ) {
        print "{$input['nickname']} <{$input['email']}>: " .
          "Reseller Account Created Successfully\n";
      }

      // now we create the reseller object and add the default nameservers.
      $RslNW = new NodeWorx( $input['email'] );
      if( $RslNW->getWorkingUser() !== null ) {
        $input = array( 'ns1' => 'ns1.interworx.com',
                        'ns2' => 'ns2.interworx.com',
                        'ns3' => 'ns3.interworx.com' );

        $Reply = IW::FC()->routeFromPHP( 'Ctrl_Nodeworx_Dns',
                                         'defaultServers',
                                         $input,
                                         $RslNW );
      }//end if
    }//end for

    $this->assertTrue( true );
  }
}