<?php
include 'DebugMe.php';

class DebugMeTest extends PHPUnit_Framework_TestCase {
  /**
   * Tests the initial value.
   */
  public function testInitialVariableValue() {
    $Object = new DebugMe();
    $this->assertEquals( 3, $Object->variable );
  }

  /**
   * Tests the combine function.
   */
  public function testCombine() {
    $Object = new DebugMe();

    $actual = $Object->combine( 1, 4 );

    $this->assertEquals( 5, $actual );
  }

  /**
   * Tests the combine function using the variable.
   */
  public function testCombineVariable() {
    $Object = new DebugMe();

    $actual = $Object->combine( $Object->variable, 4 );

    $this->assertEquals( 7, $actual );
  }

  public function testValidateInteger1() {
    $Object = new DebugMe();
    $this->assertTrue( $Object->validateInteger( 3 ) );
  }

  public function testValidateInteger2() {
    $Object = new DebugMe();
    $this->assertTrue( $Object->validateInteger( '3' ) );
  }

  public function testValidateInteger3() {
    $Object = new DebugMe();

    $input = '12345678901234567890123456789';
    $min   = 0;
    $max   = '123456789012345678901234567890';

    $actual = $Object->validateInteger( $input, $min, $max );

    $this->assertTrue( $actual );
  }

  public function testValidateIntegerWithBadData() {
    $Object = new DebugMe();

    $input = '12345678901234567890123456789';
    $min   = 0;
    $max   = 5;

    $actual = $Object->validateInteger( $input, $min, $max );

    $this->assertFalse( $actual );
  }

  public function testTellMeImAwesome() {
    $name = 'Tim';

    $Object = new DebugMe();

    $expected = 'You, Tim, are awesome';
    $actual   = $Object->tellMeImAwesome( $name );

    $this->assertEquals( $expected, $actual );
  }
}