<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Jonathan Daniel <jdaniel@interworx.com>
 * @date    Mar 4, 2011
 */


/**
 * Model test class.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Model_Test_Record extends Model_Abstract {

  /**
   * Build the table.
   */
  static public function buildTable() {
    self::killTable();

    $sql = "CREATE TABLE IF NOT EXISTS `test_records` (
      `id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
      `field1` VARCHAR( 255 ) NOT NULL ,
      `null_field` VARCHAR( 255 ) NULL ,
      `field_two` VARCHAR( 255 ) NOT NULL ,
      `field_3_here` VARCHAR( 255 ) NOT NULL ,
      `timestamp` DATETIME NOT NULL DEFAULT '1000-01-01 00:00:00',
      `some_int` INT( 11 ) UNSIGNED NOT NULL DEFAULT 0 ,
      `some_enum` enum('val1','val2','val3') NOT NULL default 'val1'
      ) ENGINE = MYISAM";
    IWorxDbUtil::db_query( IW::DB(), $sql );
  }

  /**
   * Kill the table.
   */
  static public function killTable() {
    $sql = 'DROP TABLE IF EXISTS `test_records`';
    IWorxDbUtil::db_query( IW::DB(), $sql );
  }
}

/**
 * Other Test Class.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Model_Other_Test_Record extends Model_Abstract {

  /**
   * Build the table.
   */
  static public function buildTable() {
    self::killTable();

    $sql = 'CREATE TABLE IF NOT EXISTS `other_test_records` (
      `other_id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
      `test_record_id` INT( 11 ) UNSIGNED NOT NULL ,
      `field` VARCHAR( 255 ) NOT NULL
      ) ENGINE = MYISAM';
    IWorxDbUtil::db_query( IW::DB(), $sql );
  }

  /**
   * Kill the table.
   */
  static public function killTable() {
    $sql = 'DROP TABLE IF EXISTS `other_test_records`';
    IWorxDbUtil::db_query( IW::DB(), $sql );
  }
}
