<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Jon Daniel <jdaniel@interworx.com>
 * @date       Jan 21, 2010
 */

/**
 * Tests for the proftp driver.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class ProFTPTest extends IWorx_Framework_TestCase {

  /**
   * Test to ensure bug #1383 has been corrected.
   */
  public function testUpdateSQLFile() {
    ProFTP::updateSQLFile( Ini::get( Ini::PROFTPD, 'dsn' ) );

    $ftp_conf = file_get_contents( Ini::get( Ini::PROFTPD_FILE, 'config' ) );
    $pattern  = '^SQLConnectInfo\s+iworx_ftp@(.+)\siworx_ftp\s(.+)^';

    preg_match( $pattern, $ftp_conf, $matches );

    $host = $matches[1];
    $pass = $matches[2];

    $dsn = "mysql://iworx_ftp:{$pass}@{$host}/iworx_ftp";

    $this->assertTrue( $this->_testDsn( $dsn ),
                       "Unable to connect to iworx ftp db using {$dsn}" );
  }

  /**
   * Tests to see if the given dsn is working.
   *
   * @param string $dsn
   * @return boolean
   */
  private function _testDsn( $dsn ) {
    // I recognize that this is an abortion.  I'm desperate.  -pko
    try {
      $db = IWorxDbUtil::db_connect( $dsn );
      return true;
    } catch( IWorx_Exception_DbUtil $e ) {
      sleep( 5 );
      try {
        $db = IWorxDbUtil::db_connect( $dsn );
        return true;
      } catch( IWorx_Exception_DbUtil $e ) {
        sleep( 5 );
        try {
          $db = IWorxDbUtil::db_connect( $dsn );
          return true;
        } catch( IWorx_Exception_DbUtil $e ) {
          echo "\nps auxf\n";
          var_export( `ps auxf` );
          echo "\ncat ~iworx/mysql/error.log\n";
          var_export( `cat /home/interworx/mysql/error.log` );
          echo "\nservice iworx status\n";
          var_export( `service iworx status` );
          echo "\nnetstat -lnp\n";
          var_export( `netstat -lnp` );
          echo "\nexception message dump\n";
          var_export( $e->getMessage() );
          echo "\ndsn: {$dsn}\n";
          echo "\ninternal db shit:\n";
          $main_dsn = Ini::get( Ini::IWORX, 'dsn' );
          $arr = DB::parseDSN( $main_dsn );
          $pass = $arr['password'];
          echo "\npassword: $pass\n";
          var_export( `echo 'SELECT * FROM user WHERE User = "iworx_ftp" \G SELECT * FROM db WHERE Db = "iworx_ftp" \G' | mysql -u root -p$pass -S ~iworx/mysql/iworx-db.sock mysql 2>&1` );
          return false;
        }//end try
      }//end try
    }//end try
  }
}