<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2014 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Matt Parmelee <mparmelee@interworx.com>
 * @date       Jul 22, 2014
 */

/**
 * Test class.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Bug3490ResellerAccessToThemeUploadsTest extends IWorx_Framework_TestCase {
  /**
   * Trac: #3490.
   *
   * @expectedException IWorx_Exception_ActionBlocked
   * @expectedExceptionMessage ##LG_ACTION_BLOCKED##
   */
  public function testResellerAccessToClusteringFeatures() {
    $this->deleteResellerAccountIfNecessary();
    $this->addResellerIfNecessary();
    $NW  = $this->getMasterNodeWorx();

    $input = array( 'reseller_id'    => self::getResellerId(),
                    'RSL_OPT_THEMES' => 0 );

    $Reply = IW::FC()->routeFromPHP( 'Ctrl_Nodeworx_Reseller',
                                     'editCommit',
                                     $input,
                                     $NW );

    $this->assertReplySuccessful( $Reply );
    $this->getResellerNodeWorx()->resetResellerPackageCache();

    $Package = $this->getResellerNodeWorx()->getResellerPackage();
    $upload  = $Package->getOptionValue( Reseller_Option::THEMES );
    $this->assertFalse( $upload );

    IWorxFileSys::rm( '/tmp/theme-exploit', true, true );
    $badtheme = '/home/interworx/TESTS/_resources/nexcess_theme_3489_attack.zip';

    $Reply = IW::FC()->routeFromPHP( 'Ctrl_Nodeworx_Themes',
                                     'addCommit',
                                     array( 'archive' => $badtheme ),
                                     $this->getResellerNodeWorx() );
    $this->assertFalse( true, 'We were not supposed to get here.' );
  }
}
