<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2014 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Paul Oehler <poehler@interworx.com>
 * @date       Apr 09, 2014
 */

/**
 * Test class.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Bug3494IworxBackupMysqlSystemAttackTest extends IWorx_Framework_TestCase {
  /**
   * Trac: #3494.
   */
  public function testIWorxBackupMysqlSystemAttack() {
    IWorxFileSys::rm( '/tmp/dbhack', true, true );

    $this->deleteSWAccountIfNecessary();
    $this->addSWAccount();

    $exploit = '/home/interworx/TESTS/_resources/addedbytest.com-partial-M-dbexploit-3494.tgz';
    copy( $exploit, '/home/addedbyt/addedbytest.com/iworx-backup/addedbytest.com-partial-M-dbexploit-3494.tgz' );
    $exploit = '/home/addedbyt/addedbytest.com/iworx-backup/addedbytest.com-partial-M-dbexploit-3494.tgz';

    chown( $exploit, 'addedbyt' );
    chgrp( $exploit, 'addedbyt' );
    chmod( $exploit, 0644 );

    $ctrl = 'Ctrl_Siteworx_Backup';
    $action = 'restore';
    $input = array( 'filetype' => 'remote',
                    'file' => basename( $exploit ) );
    $SW = $this->getSWAccount();
    $Reply = IW::FC()->routeFromPHP( $ctrl, $action, $input, $SW );
    $this->assertReplySuccessful( $Reply );

    $msg = 'MySQL "system" command injection attack worked!';

    $badfile = '/tmp/dbhack';

    $msg = "Could not find {$badfile}.  Maybe db import failed?";
    $this->assertFileExists( $badfile, $msg );

    $owner = posix_getpwuid( fileowner( $badfile ) );
    $owner = $owner['name'];
    $group = posix_getgrgid( filegroup( $badfile ) );
    $group = $group['name'];

    $perms = $this->getFilePermsAsString( fileperms( $badfile ) );
    $this->assertEquals( 'addedbyt:addedbyt|-rw-------',
                         "{$owner}:{$group}|{$perms}" );

    IWorxFileSys::rm( '/tmp/dbhack', true, true );
  }
}
