<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2014 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Paul Oehler <poehler@interworx.com>
 * @date       Apr 09, 2014
 */

/**
 * Test class.
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Bug3514BackupTempFilesCanWriteTest extends IWorx_Framework_TestCase {
  /**
   * Trac: #3514.
   */
  public function testBackupTempFilesCanBeWrittenAnyplaceIworxUserCanWriteAttack() {
    `rm -rf /exploit`;
    `mkdir /exploit`;
    `chmod 600 /exploit`;
    `chown iworx.iworx /exploit`;

    $this->deleteSWAccountIfNecessary();
    $this->addSWAccount();

    // prep attack
    exec( 'su -m addedbyt -c "cd /home/addedbyt/addedbytest.com
                              rm -rf iworx-backup
                              ln -s /exploit iworx-backup"' );

    $input = array( 'type' => 'partial',
                    'location' => 'siteworx',
                    'block' => '0',
                    'options' => array( 'web' ) );
    $Reply = IW::FC()->routeFromPHP( 'Ctrl_Siteworx_Backup',
                                     'create',
                                     $input,
                                     self::getSWAccount() );

    $this->assertReplySuccessful( $Reply );
    sleep( 1 );
    exec( 'ls /exploit/addedbytest.com-* 2>/dev/null', $result, $retval );
    $this->assertCount( 0, $result, 'Backup temp files written to bad location.' );
  }
}
